summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorRichard Neumann2018-09-13 23:17:51 +0200
committerRichard Neumann2018-09-13 23:17:51 +0200
commitcd5940863569c134bc9a6925d0cbd90ebde5d953 (patch)
treed89a3f80a37e66d844018d76195af15461781c07 /PKGBUILD
downloadaur-cd5940863569c134bc9a6925d0cbd90ebde5d953.tar.gz
init
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..79769684f71
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Richard Neumann aka. schard <mail at richard dash neumann period de>
+
+_pkgbase='peeweeplus'
+pkgname="python-${_pkgbase}-git"
+pkgver=latest
+pkgrel=1
+pkgdesc='Practical extension of a small, expressive ORM'
+arch=('any')
+url="https://gitlab.com/HOMEINFO/${_pkgbase}"
+license=('GPLv3')
+depends=('python' 'python-peewee' 'python-argon2_cffi' 'python-timelib-git')
+makedepends=('git' 'python')
+source=("${_pkgbase}::git+${url}.git")
+md5sums=('SKIP')
+pkgdir='pkg'
+srcdir='src'
+
+
+pkgver() {
+ cd "${_pkgbase}" || exit 1
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+
+package() {
+ cd "${srcdir}/${_pkgbase}"
+ python setup.py install --root "${pkgdir}" --optimize=1
+}